How to upgrade gzip from 1.3.12 to 1.6 on CentOS 6

Buttle Butkus asked:

I want to use gzip -k from now on, but it is only available with newer gzip versions. How can I upgrade it on CentOS 6?

My answer:


You can work around its absence with:

gzip -c file > file.gz
gzip -dc file.gz > file

View the full question and answer on Server Fault.

Creative Commons License
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.